function [h_axes,h_design_calc,x_limit,y_limit,pfleiderer_slip] =  ...
	draw_charac_curves_trad_1(h_axes,Q_design,U_2,U_1,C_U2,D_2,D_1,b_2,beta_2,beta_1,A_1,slip,omega,fric,shock,g,Z,H)

set(gcf,'CurrentAxes',h_axes)

% Parameters used in the calculations
R_2 = 0.5*D_2;
A_2 = R_2*2*pi*b_2;

Q = 0;
step_size = Q_design/100;
i = 1;
eta_v_opt=0.02;
Q_Lopt=Q_design*eta_v_opt;
Ku=Q_Lopt/sqrt(H);

psi             = 1.1*(1+sind(beta_2))*(D_1/D_2);
pfleiderer_slip = 2*(psi/Z)*(1/(1-(D_1/D_2)^2));


W_U2temptemp       = (Q/A_2) / tand(beta_2); % should be 0 (zero)
C_U2temptemp       = U_2-W_U2temptemp;
Htemptemp  = (U_2/g)*C_U2temptemp;
Q_L        = Ku*sqrt(Htemptemp);
W_U2       = ((Q+Q_L)/A_2) / tand(beta_2);
C_U2       = U_2-W_U2;
h_th_inf   = (U_2/g)*C_U2; % U_2^2/g
h_th       = h_th_inf / (1+pfleiderer_slip);
h_fric     = h_th - fric*(Q+Q_L)^2;
dh_shock   = shock*((Q+Q_L)-(Q_design+Q_L))^2;
h          = h_fric - dh_shock;

Q = Q+step_size;

while (Q<(2*Q_design))
    W_U2temptemp    = (Q/A_2) / tand(beta_2); % should be 0 (zero)
    C_U2temptemp    = U_2-W_U2temptemp;
    Htemptemp       = (U_2/g)*C_U2temptemp;
    Q_L             = Ku*sqrt(Htemptemp);
	W_U2_temp       = ((Q+Q_L)/A_2)/tand(beta_2);
	C_U2_temp 	    = U_2-W_U2_temp;
	h_th_inf_temp   = (U_2/g)*(C_U2_temp);
	h_th_temp       = h_th_inf_temp/(1+pfleiderer_slip);
	h_fric_temp     = h_th_temp-fric*(Q+Q_L)^2;	
    dh_shock_temp   = shock*((Q+Q_L)-(Q_design+Q_L))^2;
	h_temp          = h_fric_temp - dh_shock_temp;

	[W_U2]          = [W_U2       W_U2_temp];
	[h_th_inf]      = [h_th_inf   h_th_inf_temp];
	[h_th]          = [h_th       h_th_temp];
	[h_fric]        = [h_fric     h_fric_temp];
	[h]             = [h          h_temp];
	[dh_shock]      = [dh_shock   dh_shock_temp];
	
	Q = Q+step_size;
	i = i+1;
end

Q = linspace(0,Q,length(h_th_inf));

% [min_dh_shock,min_index] = min(dh_shock);
h_design_calc = h(101);

x_limit = Q(end);
y_limit = h_th_inf(1);

plot(h_axes,Q,h_th_inf,'g', ...
	 Q,h_th,'m', ...
	 Q,h_fric,'b', ...
	 Q,h,'r', ...
	 Q,dh_shock,':k', ...
	 [0 9.9 20.3 30.2 39.9 50.1 59.7 70.6 80.2 90.2 101]/3600,[75.22 74.03 72.67 71.16 68.40 66.02 61.99 56.71 50.54 43.65 35.62]/3,'k', ...
     [Q_design Q_design],[0 max(h_th_inf)],'c:')
 

legend('H_{th\infty}','H_{th}','H_{fric}','H','\DeltaH_{shock}','H_{measured}')
set(h_axes,'XLim',[0 x_limit],'YLim',[0 y_limit]);

xlabel('Q [m^3/s]'); 
ylabel('H [m]');
