function [h_axes,h_design_calc,x_limit,y_limit] =  ...
	draw_charac_curves_trad_4(h_axes,Q_design,U_2,U_1,C_U2,D_2,D_1,b_2,beta_2,beta_1,A_1,slipcoeff_opt,eta_opt,block_2,shock,g,Z,H,nq)

set(gcf,'CurrentAxes',h_axes)

% Parameters used in the calculations
R_2 = 0.5*D_2;
A_2 = R_2*2*pi*b_2;

Q = 0; %
step_size = (Q_design-Q)/100;
i = 1;
Q_Lopt=2*4.1/(nq^1.6)*Q_design;
Ku=Q_Lopt/sqrt(H);


W_U2temptemp        = (Q/A_2) / tand(beta_2); % should be 0 (zero)
C_U2temptemp        = U_2-W_U2temptemp;
Htemptemp           = (U_2/g)*C_U2temptemp;
Q_L                 = Ku*sqrt(Htemptemp);
slipcoeff           = slipcoeff_opt*(1.3746-0.2483*((Q+Q_L)/(Q_design+Q_L))^3+0.8639*((Q+Q_L)/(Q_design+Q_L))^2-0.9919*((Q+Q_L)/(Q_design+Q_L)));
W_U2                = ((Q+Q_L)/A_2) / tand(beta_2); 
C_U2                = U_2-W_U2;
C_U2slip            = slipcoeff*U_2-W_U2;
h_th_inf            = (U_2/g)*C_U2; % U_2^2/g
h_th                = (U_2/g)*C_U2slip;
eta                 = eta_opt*(1-0.6*((Q+Q_L)/(Q_design+Q_L)-0.9)^2-0.25*((Q+Q_L)/(Q_design+Q_L)-0.9)^3);
h                   = eta*U_2/g*(slipcoeff*U_2-W_U2*block_2); % Assuming non-rotational inlet

Q = Q+step_size;

while (Q<(2*Q_design))
    W_U2temptemp    = (Q/A_2) / tand(beta_2); % should be 0 (zero)
    C_U2temptemp    = U_2-W_U2temptemp;
    Htemptemp       = (U_2/g)*C_U2temptemp;
    Q_L_temp        = Ku*sqrt(Htemptemp);
    slipcoeff_temp  = slipcoeff_opt*(1.3746-0.2483*((Q+Q_L_temp)/(Q_design+Q_L_temp))^3+0.8639*((Q+Q_L_temp)/(Q_design+Q_L_temp))^2-0.9919*((Q+Q_L_temp)/(Q_design+Q_L_temp)));
	W_U2_temp       = ((Q+Q_L_temp)/A_2)/tand(beta_2);
	C_U2_temp 	    = U_2-W_U2_temp;
	C_U2slip_temp   = slipcoeff_temp*U_2-W_U2_temp;
	h_th_inf_temp   = (U_2/g)*(C_U2_temp);
	h_th_temp       = (U_2/g)*(C_U2slip_temp);  
    eta_temp        = eta_opt*(1-0.6*((Q+Q_L_temp)/(Q_design+Q_L_temp)-0.9)^2-0.25*((Q+Q_L_temp)/(Q_design+Q_L_temp)-0.9)^3);
	h_temp          = eta_temp*U_2/g*(slipcoeff_temp*U_2-W_U2_temp*block_2);


	[W_U2]          = [W_U2       W_U2_temp];
	[h_th_inf]      = [h_th_inf   h_th_inf_temp];
	[h_th]          = [h_th       h_th_temp];
	[h]             = [h          h_temp];
	
	Q = Q+step_size;
	i = i+1;
end

Q = linspace(0,Q,length(h_th_inf));

% [min_dh_shock,min_index] = min(h);
h_design_calc = h(101);

x_limit = Q(end);
y_limit = h_th_inf(1);



plot(h_axes,Q,h_th_inf,'g', ...
	 Q,h_th,'m', ...
	 Q,h,'r', ...
	 [0 9.9 20.3 30.2 39.9 50.1 59.7 70.6 80.2 90.2 101]/3600,[75.22 74.03 72.67 71.16 68.40 66.02 61.99 56.71 50.54 43.65 35.62]/3,'k', ...
     [Q_design Q_design],[0 max(h_th_inf)],'c:')


legend('H_{th\infty}','H_{th}','H','H_{measured}')
set(h_axes,'XLim',[0 x_limit],'YLim',[0 y_limit]);

xlabel('Q [m^3/s]'); 
ylabel('H [m]');
