% This function is used when the number of points have changed either along
% the streamline or across the streamline, used the datapoints known a
% spline between the datapoints is used to find an even distribution of the
% new number of datapoints.
function [new_x_pos,new_y_pos] = even_spaces(x,y,n);

G = zeros(n,1);
G(1,1) = 0;

for i=2:n
    G_temp = sqrt((x(i-1)-x(i))^2+(y(i-1)-y(i))^2);
    G(i,1) = G(i-1,1)+G_temp;
end

gg = linspace(min(G),max(G),n);
new_x_pos = spline(G,x,gg);
new_y_pos = spline(G,y,gg);