function [angles] = get_spline_angle(h_spline)

sp_breaks = h_spline.breaks;
sp_coefs = h_spline.coefs;

n = h_spline.pieces;
m = h_spline.order;

derivate = zeros(n,m-1);
angles = zeros(n+1,1);

for i=1:n
	derivate(i,:) = polyder(sp_coefs(i,:));
	pos_x(i) = sp_breaks(i+1)-sp_breaks(i);
	angles(i+1)=atand(polyval(derivate(i,:),pos_x(i))/1);
end

pos_last_x = sp_breaks(end)-sp_breaks(end-1);
out_angle = atand(polyval(derivate(1,:),0)/1);
in_angle  = atand(polyval(derivate(end,:),pos_last_x)/1);

angles(1) = out_angle;