declare_global_variables;

% Choose main design parameters
valg_design_rotspeed=1480; % Design rotational speed [rpm]
valg_design_flow=60/3600; % Design flow Q [m^3/s]
valg_design_nethead=20.6; % Design net pump head [m]

valg_design_D2=0.264; % Design outlet diameter [m]
valg_design_b2=0.013; %Design outlet height [m]
valg_design_D1i=0.054; % Inner streamline diameter [m]
valg_design_Dn=0.045; % Hub diameter [m]
%valg_design_U2=40; % U_2 at outlet [m/s]
valg_design_D1=0.1036; % Impeller eye diameter

%valg_design_etaM=0.96; % Design best efficiency eta_M [-]
valg_design_gP=9.81; % Gravitational acceleration [m/s^2]
valg_design_rhoP=1000; % Fluid density [kg/m^3]

valg_design_alpha1=90; % Alpha angle at inlet []
valg_design_beta2=30; % Beta angle at outlet []
%valg_design_slip=5; % Outlet slip angle []

valg_design_Z=6; % Number of vanes in pump
valg_design_tin =0.005; % Vane outlet thickness [m]
valg_design_tout=0.003; % Vane inlet thickness [m]

valg_design_ax_pos=0.5; % Where pump becomes radial!!!!!!
valg_design_in_z_pos=0.023;        % z_in - z_out

% Choose the vane characteristics
valg_npoints_stream=11; % Number of streamlines
valg_npoints_cross =21; % Number of nodes across steamlines
valg_npoints_stream_used=valg_npoints_stream;
valg_npoints_cross_used =valg_npoints_cross;
valg_ax_nodes     = zeros(valg_npoints_cross,valg_npoints_stream,3);
valg_ax_nodes_red = zeros(valg_npoints_cross,valg_npoints_stream,3);



% ------ Parameters found by calculations or other means
param_omega; % Design rotational speed in [rad/s]

param_A1 = 1; % Inlet area 
param_A2 = 1; % Outlet area


% ------ View of the vane in 3D view
param_Z_drawn=valg_design_Z; % Number of vanes drawn
param_ringboss_transp=0.1; % Transparency of ring and boss
% Initial camera position in 3Dview
valg_design_3Dview_x = 0;
valg_design_3Dview_y = 0;
valg_design_3Dview_z = 1;
rotate_degrees_xaxis  = 10;
rotate_degrees_yaxis  = 10;
rotate_degrees_zaxis  = 10;

% Parameters used for the Pump characteristics
valg_characteristics_eta = 0.8;
valg_pfleiderer_slip = 0.25;
valg_charac_friction = 30640;
valg_charac_shockloss = 30336;
valg_charac_friction_trad_1 = 30640;
valg_charac_shockloss_trad_1 = 30336;
valg_charac_friction_trad_2 = 30640;
valg_charac_shockloss_trad_2 = 30336;
valg_charac_friction_trad_3 = 30640;
valg_charac_shockloss_trad_3 = 30336;
valg_charac_friction_trad_4 = 30640;
valg_charac_shockloss_trad_4 = 30336;
valg_charac_friction_trad_5 = 30640;
valg_charac_shockloss_trad_5 = 30336;
valg_charac_friction_trad_6 = 30640;
valg_charac_shockloss_trad_6 = 30336;


% Parameters used in inlet suction side 
valg_inlet_suction_ellipse=2; % Ellipse shape a/b
valg_inlet_suction_th_start=90; % Theta start at ellipse
valg_inlet_suction_th_end=180; % Theta end at ellipse
valg_inlet_suction_nellipse=10; % Points used to define ellipse
% Parameters used in inlet pressure side
valg_inlet_pressure_ellipse=2; % Ellipse shape a/b
valg_inlet_pressure_th_start=90; % Theta start at ellipse
valg_inlet_pressure_th_end=180; % Theta end at ellipse
valg_inlet_pressure_nellipse=10; % Points used to define ellipse
% Parameters used in outlet



% Initial values for various parameters
backcolor = [0.92 0.92 0.92]; % Background color in the program
buttcolor = [0.90 0.90 0.90]; % Button color in the program
linecolor = [0 0 1]; % Line color for the inner frames in the program
okcolor = [0 0 0.7]; % ....................


% ------ Diffuser design
valg_design_D3=0.27;
valg_design_b3=0.0155;
valg_design_alpha3B=8;
valg_design_D4=0.468;
valg_design_b4=0.0208;
valg_design_a3=0.0127;
valg_design_ZLe=10;
valg_design_e3=0.0093;
valg_npoints_stream_diffuser=valg_npoints_stream;
valg_npoints_cross_diffuser=11;