% PLOT_RZ_PLANE plots the meridional plane of the impeller
% PLOT_RZ_PLANE(n,m,node,r_max)
% This function is used to plot the impeller geometry in the rz-plane both
% the streamlines as well lines perpendicular to the streamlines
function [h_cross,h_stream] =  ...
    plot_rz_plane_ax_design_diffuser(hand_axes,n,m,r,z,D_4)

R_4 = 0.5*D_4;
gca = hand_axes;
set(hand_axes,'NextPlot','add')

for i=1:m; 
    h_stream(i) = plot(hand_axes,r(:,i),z(:,i)); 
    set(h_stream(i),'Visible','off');
end;
for i=1:n; 
    h_cross(i) = plot(hand_axes,r(i,:),z(i,:)); 
    set(h_cross(i),'Visible','off');
end;

set(hand_axes, ...
    'DataAspectRatio',[1 1 1] ...
    );
return;
