
%cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% 
% Pump characteristics, traditional 1
% H = (1/(1+Cp))(Hthinfty)-KfQ^2-Ks(Q-Qopt)^2
% 
%cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc


% Set the calculated theoretical head
set(hand_calc_theoretical_head_trad_1, ...
	'String',num2str(get(hand_calc_U2,'Value')^2/valg_design_gP));

% Set the calculated theoretical head in bar
set(hand_calc_theoretical_head_bar_trad_1, ...
	'String',num2str(get(hand_calc_U2,'Value')^2*valg_design_rhoP*10^-5));


[hand_axes_charac_trad_1,calc_net_head_trad_1,x_max_trad_1,y_max_trad_1,calc_pfleiderer_slip_trad_1] ... 
    = draw_charac_curves_trad_1( ...
    	hand_axes_charac_trad_1, ...
    	valg_design_flow, ...
    	get(hand_calc_U2,'Value'), ...
    	get(hand_calc_U1_merid,'Value'), ...
    	get(hand_calc_CU2,'Value'), ...
    	valg_design_D2, ...
    	D_1, ...
    	get(hand_value_b2,'Value'), ...
    	valg_design_beta2, ...
    	beta_1_merid, ...
    	A_1, ...
    	get(hand_calc_slip,'Value'), ...
    	param_omega, ...
    	valg_charac_friction_trad_1, ...
    	valg_charac_shockloss_trad_1, ...
    	valg_design_gP, ...
        valg_design_Z, ...
        valg_design_nethead ...
    );

% Set the calculated theoretical head with volume loss
set(hand_calc_theoretical_head_leakage_trad_1,'String',num2str(y_max_trad_1));

% Set the calculated theoretical head in bar with volume loss
set(hand_calc_theoretical_head_leakage_bar_trad_1,'String',num2str(y_max_trad_1*valg_design_rhoP*valg_design_gP*10^-5));

% Set the calculated slip factor based on design_flow as Pfleiderer slip    
set(hand_calc_pfleiderer_trad_1,'String',num2str(calc_pfleiderer_slip_trad_1));

% Set the calculated net head
set(hand_calc_net_head_trad_1,'String',num2str(calc_net_head_trad_1));

% Set the calculated net head in bar
set(hand_calc_net_head_bar_trad_1,'String',num2str(calc_net_head_trad_1*valg_design_rhoP*valg_design_gP*10^-5));


%cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% 
% Pump characteristics, traditional 2
% H = (1/(1+Cp))(Hthinfty)-KfQ^2-(u1cu1/g)
% 
%cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc


% Set the calculated theoretical head
set(hand_calc_theoretical_head_trad_2, ...
	'String',num2str(get(hand_calc_U2,'Value')^2/valg_design_gP));

% Set the calculated theoretical head in bar
set(hand_calc_theoretical_head_bar_trad_2, ...
	'String',num2str(get(hand_calc_U2,'Value')^2*valg_design_rhoP*10^-5));


[hand_axes_charac_trad_2,calc_net_head_trad_2,x_max_trad_2,y_max_trad_2,calc_pfleiderer_slip_trad_2] ... 
    = draw_charac_curves_trad_2( ...
    	hand_axes_charac_trad_2, ...
    	valg_design_flow, ...
    	get(hand_calc_U2,'Value'), ...
    	get(hand_calc_U1_merid,'Value'), ...
    	get(hand_calc_CU2,'Value'), ...
    	valg_design_D2, ...
    	D_1, ...
    	get(hand_value_b2,'Value'), ...
    	valg_design_beta2, ...
    	beta_1_merid, ...
    	A_1, ...
    	get(hand_calc_slip,'Value'), ...
    	param_omega, ...
    	valg_charac_friction_trad_2, ...
    	valg_charac_shockloss_trad_2, ...
    	valg_design_gP, ...
        valg_design_Z, ...
        valg_design_nethead ...
    );

% Set the calculated theoretical head with volume loss
set(hand_calc_theoretical_head_leakage_trad_2,'String',num2str(y_max_trad_2));

% Set the calculated theoretical head in bar with volume loss
set(hand_calc_theoretical_head_leakage_bar_trad_2,'String',num2str(y_max_trad_2*valg_design_rhoP*valg_design_gP*10^-5));

% Set the calculated slip factor based on design_flow as Pfleiderer slip    
set(hand_calc_pfleiderer_trad_2,'String',num2str(calc_pfleiderer_slip_trad_2));

% Set the calculated net head
set(hand_calc_net_head_trad_2,'String',num2str(calc_net_head_trad_2));

% Set the calculated net head in bar
set(hand_calc_net_head_bar_trad_2,'String',num2str(calc_net_head_trad_2*valg_design_rhoP*valg_design_gP*10^-5));


%cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% 
% Pump characteristics, traditional 3
% H = Gulich, including all losses
% 
%cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc


% Set the calculated theoretical head
set(hand_calc_theoretical_head_trad_3, ...
	'String',num2str(get(hand_calc_U2,'Value')^2/valg_design_gP));

% Set the calculated theoretical head in bar
set(hand_calc_theoretical_head_bar_trad_3, ...
	'String',num2str(get(hand_calc_U2,'Value')^2*valg_design_rhoP*10^-5));


[hand_axes_charac_trad_3,calc_net_head_trad_3,x_max_trad_3,y_max_trad_3] ... 
    = draw_charac_curves_trad_3( ...
    	hand_axes_charac_trad_3, ...
    	valg_design_flow, ...
    	get(hand_calc_U2,'Value'), ...
    	get(hand_calc_U1_merid,'Value'), ...
    	get(hand_calc_CU2,'Value'), ...
    	valg_design_D2, ...
    	D_1, ...
    	get(hand_value_b2,'Value'), ...
    	valg_design_beta2, ...
    	beta_1_merid, ...
    	A_1, ...
    	slip_coeff, ...
    	eta_opt, ...
    	block_2, ...
    	valg_charac_shockloss_trad_3, ...
    	valg_design_gP, ...
        valg_design_Z, ...
        valg_design_nethead, ...
        get(hand_calc_sp_speed,'Value') ...
    );

% Set the calculated theoretical head with volume loss
set(hand_calc_theoretical_head_leakage_trad_3,'String',num2str(y_max_trad_3));

% Set the calculated theoretical head in bar with volume loss
set(hand_calc_theoretical_head_leakage_bar_trad_3,'String',num2str(y_max_trad_3*valg_design_rhoP*valg_design_gP*10^-5));

% % Set the calculated slip factor based on design_flow as Pfleiderer slip    
% set(hand_calc_pfleiderer_trad_3,'String',num2str(calc_pfleiderer_slip_trad_3));

% Set the calculated net head
set(hand_calc_net_head_trad_3,'String',num2str(calc_net_head_trad_3));

% Set the calculated net head in bar
set(hand_calc_net_head_bar_trad_3,'String',num2str(calc_net_head_trad_3*valg_design_rhoP*valg_design_gP*10^-5));

%cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% 
% Pump characteristics, traditional 4
% H = ...
% 
%cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc


% Set the calculated theoretical head
set(hand_calc_theoretical_head_trad_4, ...
	'String',num2str(get(hand_calc_U2,'Value')^2/valg_design_gP));

% Set the calculated theoretical head in bar
set(hand_calc_theoretical_head_bar_trad_4, ...
	'String',num2str(get(hand_calc_U2,'Value')^2*valg_design_rhoP*10^-5));


[hand_axes_charac_trad_4,calc_net_head_trad_4,x_max_trad_4,y_max_trad_4] ... 
    = draw_charac_curves_trad_4( ...
    	hand_axes_charac_trad_4, ...
    	valg_design_flow, ...
    	get(hand_calc_U2,'Value'), ...
    	get(hand_calc_U1_merid,'Value'), ...
    	get(hand_calc_CU2,'Value'), ...
    	valg_design_D2, ...
    	D_1, ...
    	get(hand_value_b2,'Value'), ...
    	valg_design_beta2, ...
    	beta_1_merid, ...
    	A_1, ...
    	slip_coeff, ...
    	eta_opt, ...
    	block_2, ...
    	valg_charac_shockloss_trad_4, ...
    	valg_design_gP, ...
        valg_design_Z, ...
        valg_design_nethead, ...
        get(hand_calc_sp_speed,'Value') ...
    );

% Set the calculated theoretical head with volume loss
set(hand_calc_theoretical_head_leakage_trad_4,'String',num2str(y_max_trad_4));

% Set the calculated theoretical head in bar with volume loss
set(hand_calc_theoretical_head_leakage_bar_trad_4,'String',num2str(y_max_trad_4*valg_design_rhoP*valg_design_gP*10^-5));


% Set the calculated net head
set(hand_calc_net_head_trad_4,'String',num2str(calc_net_head_trad_4));

% Set the calculated net head in bar
set(hand_calc_net_head_bar_trad_4,'String',num2str(calc_net_head_trad_4*valg_design_rhoP*valg_design_gP*10^-5));


% %cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% % 
% % Pump characteristics, traditional 5
% % H = ...
% % 
% %cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% 
% 
% % Set the calculated theoretical head
% set(hand_calc_theoretical_head_trad_5, ...
% 	'String',num2str(get(hand_calc_U2,'Value')^2/valg_design_gP));
% 
% % Set the calculated theoretical head in bar
% set(hand_calc_theoretical_head_bar_trad_5, ...
% 	'String',num2str(get(hand_calc_U2,'Value')^2*valg_design_rhoP*10^-5));
% 
% 
% [hand_axes_charac_trad_5,calc_net_head_trad_5,x_max_trad_5,y_max_trad_5,calc_pfleiderer_slip_trad_5] ... 
%     = draw_charac_curves_trad_5( ...
%     	hand_axes_charac_trad_5, ...
%     	valg_design_flow, ...
%     	get(hand_calc_U2,'Value'), ...
%     	get(hand_calc_U1_merid,'Value'), ...
%     	get(hand_calc_CU2,'Value'), ...
%     	valg_design_D2, ...
%     	D_1, ...
%     	get(hand_value_b2,'Value'), ...
%     	valg_design_beta2, ...
%     	beta_1_merid, ...
%     	A_1, ...
%     	get(hand_calc_slip,'Value'), ...
%     	param_omega, ...
%     	valg_charac_friction_trad_5, ...
%     	valg_charac_shockloss_trad_5, ...
%     	valg_design_gP, ...
%         valg_design_Z, ...
%         valg_design_nethead ...
%     );
% 
% % Set the calculated theoretical head with volume loss
% set(hand_calc_theoretical_head_leakage_trad_5,'String',num2str(y_max_trad_5));
% 
% % Set the calculated theoretical head in bar with volume loss
% set(hand_calc_theoretical_head_leakage_bar_trad_5,'String',num2str(y_max_trad_5*valg_design_rhoP*valg_design_gP*10^-5));
% 
% % Set the calculated slip factor based on design_flow as Pfleiderer slip    
% set(hand_calc_pfleiderer_trad_5,'String',num2str(calc_pfleiderer_slip_trad_5));
% 
% % Set the calculated net head
% set(hand_calc_net_head_trad_5,'String',num2str(calc_net_head_trad_5));
% 
% % Set the calculated net head in bar
% set(hand_calc_net_head_bar_trad_5,'String',num2str(calc_net_head_trad_5*valg_design_rhoP*valg_design_gP*10^-5));
% 
% 
% %cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% % 
% % Pump characteristics, traditional 6
% % H = ...
% % 
% %cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% 
% 
% % Set the calculated theoretical head
% set(hand_calc_theoretical_head_trad_6, ...
% 	'String',num2str(get(hand_calc_U2,'Value')^2/valg_design_gP));
% 
% % Set the calculated theoretical head in bar
% set(hand_calc_theoretical_head_bar_trad_6, ...
% 	'String',num2str(get(hand_calc_U2,'Value')^2*valg_design_rhoP*10^-5));
% 
% 
% [hand_axes_charac_trad_6,calc_net_head_trad_6,x_max_trad_6,y_max_trad_6,calc_pfleiderer_slip_trad_6] ... 
%     = draw_charac_curves_trad_6( ...
%     	hand_axes_charac_trad_6, ...
%     	valg_design_flow, ...
%     	get(hand_calc_U2,'Value'), ...
%     	get(hand_calc_U1_merid,'Value'), ...
%     	get(hand_calc_CU2,'Value'), ...
%     	valg_design_D2, ...
%     	D_1, ...
%     	get(hand_value_b2,'Value'), ...
%     	valg_design_beta2, ...
%     	beta_1_merid, ...
%     	A_1, ...
%     	get(hand_calc_slip,'Value'), ...
%     	param_omega, ...
%     	valg_charac_friction_trad_6, ...
%     	valg_charac_shockloss_trad_6, ...
%     	valg_design_gP, ...
%         valg_design_Z, ...
%         valg_design_nethead ...
%     );
% 
% % Set the calculated theoretical head with volume loss
% set(hand_calc_theoretical_head_leakage_trad_6,'String',num2str(y_max_trad_6));
% 
% % Set the calculated theoretical head in bar with volume loss
% set(hand_calc_theoretical_head_leakage_bar_trad_6,'String',num2str(y_max_trad_6*valg_design_rhoP*valg_design_gP*10^-5));
% 
% % Set the calculated slip factor based on design_flow as Pfleiderer slip    
% set(hand_calc_pfleiderer_trad_6,'String',num2str(calc_pfleiderer_slip_trad_6));
% 
% % Set the calculated net head
% set(hand_calc_net_head_trad_6,'String',num2str(calc_net_head_trad_6));
% 
% % Set the calculated net head in bar
% set(hand_calc_net_head_bar_trad_6,'String',num2str(calc_net_head_trad_6*valg_design_rhoP*valg_design_gP*10^-5));
