%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	
%   Draw vanes of the impeller, without thickness
% 
% 
% 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
function draw_ring_and_boss(node,trans)

hold on;

intervals = 31;
int_deg = 360/(intervals-1);

for i=1:intervals
    start_angle = (i-1)*360/(intervals-1);
    x(:,:,i) = node(:,:,1).*sind(node(:,:,2)+start_angle);
    y(:,:,i) = node(:,:,1).*cosd(node(:,:,2)+start_angle);
    z(:,:,i) = node(:,:,3);
    ring_x(:,i) = x(:,1,i);
    ring_y(:,i) = y(:,1,i);
    ring_z(:,i) = z(:,1,i);
    boss_x(:,i) = x(:,end,i);
    boss_y(:,i) = y(:,end,i);
    boss_z(:,i) = z(:,end,i);
end

hand_surf_ring = surf(ring_x,ring_y,ring_z);
hand_surf_boss = surf(boss_x,boss_y,boss_z);

set(hand_surf_ring,'FaceAlpha',trans,'EdgeColor','none','FaceColor',[0.9 0.9 0.9]);
set(hand_surf_boss,'FaceAlpha',trans,'EdgeColor','none','FaceColor',[0.9 0.9 0.9]);
