%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	
%   Draw vanes of the impeller, without thickness
% 
% 
% 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
function [h_axes,h_surf_vanes] = draw_vanes_cart(h_axes,tot_vanes,vanes_drawn,node_cart)

gca = h_axes;

set(h_axes,'NextPlot','add');
for i=1:tot_vanes
    start_angle = (i-1)*360/tot_vanes;    
    
    
    
    x = node(:,:,1).*sind(node(:,:,2)+start_angle);
    y = node(:,:,1).*cosd(node(:,:,2)+start_angle);
    z = node(:,:,3);
    h_surf_vanes(i) = surf(h_axes,x,y,z,'EdgeColor','none');
end

for i=1:vanes_drawn
    set(h_surf_vanes(i),'Visible','on')
end
if vanes_drawn<tot_vanes
    for i=vanes_drawn+1:tot_vanes
        set(h_surf_vanes(i),'Visible','off')
    end
end

r = node(:,:,1);
z = node(:,:,3);

x_out_boss = r(1,1)*cosd(0:360);
y_out_boss = r(1,1)*sind(0:360);
z_out_boss = ones(size(x_out_boss))*z(1,1);
x_out_ring = r(1,end)*cosd(0:360);
y_out_ring = r(1,end)*sind(0:360);
z_out_ring = ones(size(x_out_ring))*z(1,end);

x_in_boss  = r(end,1)*cosd(0:360);
y_in_boss  = r(end,1)*sind(0:360);
z_in_boss  = ones(size(x_in_boss))*z(end,1);
x_in_ring  = r(end,end)*cosd(0:360);
y_in_ring  = r(end,end)*sind(0	:360);
z_in_ring  = ones(size(x_in_ring))*z(end,end);

plot3(x_out_boss,y_out_boss,z_out_boss,'b', ...
      x_out_ring,y_out_ring,z_out_ring,'b', ...
      x_in_boss ,y_in_boss ,z_in_boss ,'r', ...
      x_in_ring ,y_in_ring ,z_in_ring ,'r' ...
);
