%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%
%   Frame for number of vanes used
%
%	
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

b = uipanel('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
	'FontWeight','bold', ...
    'Title','Vane view controls', ...
	'Position',[x1 y1 dx1 dy1]);

hand_reset = hand_axes_3Dview;


i=2;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D Rotate - Push Button
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','rotate3d(hand_axes_3Dview);', ...
	'FontWeight','bold', ...
	'Position',[x1+0.01 y1+dy1-i*dy 0.4*dx1 dy], ...
	'String','3D Rotate', ...
	'Style','pushbutton');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D Zoom - Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
    'Horizontalalignment','left', ...
	'FontWeight','normal', ...
	'Position',[x1+0.01 y1+dy1-i*dy 0.4*dx1 dy], ...
	'String','Zoom', ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D zoom in - Push Button
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','if camva <= 1;return;else;camva(camva-1);end;', ...
	'FontWeight','bold', ...
	'Position',[x1+0.01+0.51*dx1 y1+dy1-i*dy 0.2*dx1 dy], ...
	'String','In');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D zoom in - Push Button
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','if camva >= 179;return;else;camva(camva+1);end;', ...
	'FontWeight','bold', ...
	'Position',[x1+0.01+0.72*dx1 y1+dy1-i*dy 0.2*dx1 dy], ...
	'String','Out');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D rotate around x-axis - Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
    'Horizontalalignment','left', ...
	'FontWeight','normal', ...
	'Position',[x1+0.01 y1+dy1-i*dy 0.4*dx1 dy], ...
	'String','Roll around x-axis in []', ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D rotate around x-axis - Edit text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','rotate_degrees_xaxis = str2num(get(gcbo,''String'')); ', ...
	'FontWeight','bold', ...
	'Position',[x1+0.01+0.41*dx1 y1+dy1-i*dy 0.1*dx1 dy], ...
	'String','10', ...
	'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D rotate around x-axis - Push Button
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','camorbit(-rotate_degrees_xaxis,0,''data'',[1 0 0]) ;', ...
	'FontWeight','bold', ...
	'Position',[x1+0.01+0.51*dx1 y1+dy1-i*dy 0.2*dx1 dy], ...
	'String','CW');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D rotate around x-axis - Push Button
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','camorbit(rotate_degrees_xaxis,0,''data'',[1 0 0]);', ...
	'FontWeight','bold', ...
	'Position',[x1+0.01+0.72*dx1 y1+dy1-i*dy 0.2*dx1 dy], ...
	'String','CCW');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D rotate around y-axis - Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
    'Horizontalalignment','left', ...
	'FontWeight','normal', ...
	'Position',[x1+0.01 y1+dy1-i*dy 0.4*dx1 dy], ...
	'String','Roll around y-axis in []', ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D rotate around y-axis - Edit text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','rotate_degrees_yaxis = str2num(get(gcbo,''String'')); ', ...
	'FontWeight','bold', ...
	'Position',[x1+0.01+0.41*dx1 y1+dy1-i*dy 0.1*dx1 dy], ...
	'String','10', ...
	'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D rotate around y-axis - Push Button
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','camorbit(-rotate_degrees_yaxis,0,''data'',[0 1 0]) ;', ...
	'FontWeight','bold', ...
	'Position',[x1+0.01+0.51*dx1 y1+dy1-i*dy 0.2*dx1 dy], ...
	'String','CW');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D rotate around y-axis - Push Button
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','camorbit(rotate_degrees_yaxis,0,''data'',[0 1 0]);', ...
	'FontWeight','bold', ...
	'Position',[x1+0.01+0.72*dx1 y1+dy1-i*dy 0.2*dx1 dy], ...
	'String','CCW');


i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D rotate around z-axis - Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
    'Horizontalalignment','left', ...
	'FontWeight','normal', ...
	'Position',[x1+0.01 y1+dy1-i*dy 0.4*dx1 dy], ...
	'String','Roll around z-axis in []', ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D rotate around z-axis - Edit text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','rotate_degrees_zaxis = str2num(get(gcbo,''String'')); ', ...
	'FontWeight','bold', ...
	'Position',[x1+0.01+0.41*dx1 y1+dy1-i*dy 0.1*dx1 dy], ...
	'String','10', ...
	'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D rotate around z-axis - Push Button
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','camorbit(-rotate_degrees_zaxis,0,''data'',[0 0 1]) ;', ...
	'FontWeight','bold', ...
	'Position',[x1+0.01+0.51*dx1 y1+dy1-i*dy 0.2*dx1 dy], ...
	'String','CW');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D rotate around z-axis - Push Button
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','camorbit(rotate_degrees_zaxis,0,''data'',[0 0 1]);', ...
	'FontWeight','bold', ...
	'Position',[x1+0.01+0.72*dx1 y1+dy1-i*dy 0.2*dx1 dy], ...
	'String','CCW');


i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Reset axis to original view - Push Button
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
	'Callback','clf; three_d_view;', ...
	'FontWeight','bold', ...
	'Position',[x1+0.01+0.51*dx1 y1+dy1-i*dy 0.41*dx1 dy], ...
	'String','Reset axes', ...
	'Style','pushbutton');
