%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%
%   Frame for number of vanes used
%
%	
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc


b = uipanel('Parent',fig_a4, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
	'FontWeight','bold', ...
    'Title','3D view of impeller', ...
	'Position',[x1 y1 dx1 dy1]);

hand_axes_3Dview = axes;

Pos_margin = get(hand_axes_3Dview,'TightInset');
set(hand_axes_3Dview, ...
    'Units','Normalized', ...
    'Position',[x1+0.02+Pos_margin(1) y1+0.02+Pos_margin(2) dx1-0.05-Pos_margin(1)-Pos_margin(3) dy1-0.05-Pos_margin(2)-Pos_margin(4)], ...
    'Clipping','on', ...
    'NextPlot','add', ...
    'DataAspectRatio',[1 1 1], ...
    'CameraPosition',[valg_design_3Dview_x valg_design_3Dview_y valg_design_3Dview_z], ...
    'XLim',[-r_max r_max], ...
    'YLim',[-r_max r_max]);
    


[hand_axes_3Dview,hand_surf_vanes] ... 
    = draw_vanes(hand_axes_3Dview,valg_design_Z,param_Z_drawn,valg_ax_nodes);
draw_circle(valg_ax_nodes);

draw_ring_and_boss(valg_ax_nodes,param_ringboss_transp);

axis_vector = [0 1]*0.1;

x_arrow = plot3(axis_vector,[0 0],[0 0],'g','LineWidth',3);
y_arrow = plot3([0 0],axis_vector,[0 0],'b','LineWidth',3);
z_arrow = plot3([0 0],[0 0],axis_vector,'r','LineWidth',3);

