%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Plot - U*Cu plot
%   
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uipanel('Parent',fig_a2, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
	'FontWeight','bold', ...
    'Title','Velocity loads on the impeller vane', ...
	'Position',[x1 y1 dx1 dy1]);

[param_g,param_g_sum,valg_ax_nodes_xyz] = ...
    find_G( ...
        valg_npoints_cross, ...
        valg_npoints_stream, ...
        valg_ax_nodes, ...
        param_beta, ...
        valg_design_beta2, ...
        str2num(get(hand_calc_beta1_ring,'String')) ...
    );
    

[U_nodes,Cm_nodes,W_nodes,WU_nodes,CU_nodes, ...
  param_f_sum,param_h_sum] = ... 
    find_velocity_loads(...
        valg_npoints_cross, ...
        valg_npoints_stream, ...
        valg_ax_nodes, ...
        param_g, ...
        param_g_sum, ...
        param_omega, ...
        param_dA_n, ...
        valg_design_flow, ...
        param_beta, ...
        param_f, ...
        param_g, ...
        param_h ...
    );

hand_axes_velocity_load = subplot(3,6,[5 6]);
hold on;

s = param_f_sum; 
param_velocity_load = CU_nodes.*U_nodes;
midp = round(valg_npoints_stream/2);
s_end = s(end,:);

for j=1:valg_npoints_cross
	hand_plot_velocity_load_cross(j) =  ...
		plot(s(j,:)./s_end, ...
		     param_velocity_load(j,:), ...
		     'Color',[0.8 0.8 0.8]);
end

hand_plot_velocity_load_ring = plot(s(:,1)/s_end(1),param_velocity_load(:,1));
set(hand_plot_velocity_load_ring,'Color','r','Marker','o','MarkerSize',3);

hand_plot_velocity_load_mid  = plot(s(:,midp)/s_end(midp),param_velocity_load(:,midp));
set(hand_plot_velocity_load_mid, 'Color','g','Marker','o','MarkerSize',3);

hand_plot_velocity_load_boss = plot(s(:,end)/s_end(end),param_velocity_load(:,end));
set(hand_plot_velocity_load_boss,'Color','b','Marker','o','MarkerSize',3);


legend('Ring','Meridional','Boss','Location','NorthWest');
xlabel('Length along the streamline'); 
ylabel('Load or moment (U*C_u)');

Pos_margin = get(hand_axes_velocity_load,'TightInset');
set(hand_axes_velocity_load, ...
    'Units','normalized', ...
    'Position',[x1+0.01+Pos_margin(1) y1+0.01+Pos_margin(2) dx1-0.03-Pos_margin(1)-Pos_margin(3) dy1-0.03-Pos_margin(2)-Pos_margin(4)], ...
    'Box','on', ...
    'Clipping','on', ...
    'XDir','reverse', ...
    'YDir', 'default');
