%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% 
%	Plot - Axial view
% 
% 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

b = uipanel('Parent',fig_a2, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
	'FontWeight','bold', ...
    'Title','Plot of impeller in rz-plane', ...
	'Position',[x1 y1 dx1 dy1]);

dx1_sli=0.3; dy1_sli=0.09; dy_sli=0.022; dx_sli=0.1; dh_sli=0.015;

i=2; 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Number of points used between inlet and outlet - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a2, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','# of points used along streamlines :', ...
	'Position',[x1+0.01*dx1_sli y1+dy1-i*dy_sli 0.49*dx1_sli dh_sli], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Number of points used between inlet and outlet - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_npoints_cross = uicontrol('Parent',fig_a2, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_npoints_cross_used=round(get(gcbo,''Value'')); set(hand_calc_npoints_cross_used,''String'',num2str(valg_npoints_cross_used)); axial_design_update;', ...
    'Min',[5], ...
    'Max',valg_npoints_cross, ...
    'Value',valg_npoints_cross_used, ...
    'SliderStep',[1/(valg_npoints_cross-5) 2/(valg_npoints_cross-5)], ...
	'Position',[x1+0.50*dx1_sli y1+dy1-i*dy_sli 0.40*dx1_sli dh_sli], ...
	'Style','slider');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Number of points used between inlet and outlet - Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_npoints_cross_used = uicontrol('Parent',fig_a2, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(valg_npoints_cross_used), ...
	'Position',[x1+0.92*dx1_sli y1+dy1-i*dy_sli 0.1*dx1_sli dh_sli], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Number of points between inlet and outlet - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a2, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[-]', ...
	'Position',[x1+1.03*dx1_sli y1+dy1-i*dy_sli 0.09*dx1_sli dh_sli], ...
	'Style','text');

% i=i+1;
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Number of points between ring and boss - Id Text
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a2, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','# of streamlines _used:', ...
% 	'Position',[x1+0.01*dx1_sli y1+dy1-i*dy_sli 0.49*dx1_sli dh_sli], ...
% 	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Number of points between ring and boss - Slider
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% hand_slider_npoints_stream_used = uicontrol('Parent',fig_a2, ...
% 	'Units','normalized', ...
% 	'BackgroundColor','w', ...
%     'Callback','valg_npoints_stream_used=round(get(gcbo,''Value'')); set(hand_calc_npoints_stream_used,''String'',num2str(valg_npoints_stream_used)); axial_design_design', ...
%     'Min',[5], ...
%     'Max',valg_npoints_stream, ...
%     'Value',valg_npoints_stream_used, ...
%     'SliderStep',[1/(valg_npoints_stream-5) 1/(valg_npoints_stream-5)], ...
% 	'Position',[x1+0.50*dx1_sli y1+dy1-i*dy_sli 0.40*dx1_sli dh_sli], ...
% 	'Style','slider');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Number of points between ring and boss - Value
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% hand_calc_npoints_stream_used = uicontrol('Parent',fig_a2, ...
% 	'Units','normalized', ...
% 	'BackgroundColor','w', ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','center', ...
%     'String',num2str(valg_npoints_stream_used), ...
% 	'Position',[x1+0.92*dx1_sli y1+dy1-i*dy_sli 0.1*dx1_sli dh_sli], ...
% 	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Number of points between ring and boss - Unit Value
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a2, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','[-]', ...
% 	'Position',[x1+1.03*dx1_sli y1+dy1-i*dy_sli 0.09*dx1_sli dh_sli], ...
% 	'Style','text');
% 

hand_axes_axial_view = subplot(3,6,[16 17 18]);
xlabel('Radius [-]'); 
ylabel('Z [-]');

Pos_margin = get(hand_axes_axial_view,'TightInset');
set(hand_axes_axial_view, ...
    'Units','normalized', ...
    'Position',[x1+0.01+Pos_margin(1) y1+Pos_margin(2) dx1-0.03-Pos_margin(1)-Pos_margin(3) dy1-0.03-Pos_margin(2)-Pos_margin(4)], ...
    'Box','on', ...
    'Clipping','on', ...
    'DataAspectRatio',[1 1 1], ...
    'YDir','reverse', ...
    'XLim',[0 1.1] ...
);


valg_ax_nodes_red = zeros(valg_npoints_cross,valg_npoints_stream,3);
valg_ax_nodes_red(:,:,1) = valg_ax_nodes(:,:,1)/(0.5*valg_design_D2);
valg_ax_nodes_red(:,:,3) = valg_ax_nodes(:,:,3)/(0.5*valg_design_D2);

% Plot the streamlines
[hand_plot_ax_design_stream_line,hand_plot_ax_design_cross_line] =  ...
    plot_rz_plane_ax_design( ...
        hand_axes_axial_view, ...
        valg_npoints_cross_used, ...
        valg_npoints_stream_used, ...
        valg_ax_nodes_red(1:valg_npoints_cross_used,1:valg_npoints_stream_used,1), ...
        valg_ax_nodes_red(1:valg_npoints_cross_used,1:valg_npoints_stream_used,3), ...
        valg_design_D2);

% Update the rz-plane plot
[hand_plot_ax_design_cross_line,hand_plot_ax_design_stream_line] = ...
    update_rz_plot( ...
        hand_plot_ax_design_stream_line, ...
        hand_plot_ax_design_cross_line, ...
        valg_npoints_cross_used, ...
        valg_npoints_stream_used);

%cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% Setting the axis values automatic for the axial plot
%cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

% r_temp_min = [min(min(x)) min(min(valg_ax_nodes(:,:,1)))];
r_temp_max = max(max(valg_ax_nodes_red(:,:,1)));
z_temp_min = min(min(valg_ax_nodes_red(:,:,3)));
z_temp_max = max(max(valg_ax_nodes_red(:,:,3)));
% r_min = min(r_temp_max);
r_max = max(r_temp_max);
z_min = min(z_temp_min);
z_max = max(z_temp_max);
r_axis_adjust = 0.1*abs(r_max);
z_axis_adjust = 0.1*abs(z_max-z_min);
set(hand_axes_axial_view, ...
	'XLim',[0 r_max+r_axis_adjust], ...
    'YLim',[z_min-z_axis_adjust z_max+z_axis_adjust], ...
    'Visible','on');



for i=1:valg_npoints_stream_used; 
    set(hand_plot_ax_design_stream_line(i),'Color',[1 0.7 0.7],'Visible','on');
end;
for i=1:valg_npoints_cross_used; 
    set(hand_plot_ax_design_cross_line(i),'Color',[0.7 0.7 1],'Visible','on');
end;