%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Plot - Radial view
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

b = uipanel('Parent',fig_a2, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
	'FontWeight','bold', ...
    'Title','Radial view of the impeller', ...
	'Position',[x1 y1 dx1 dy1]);

hand_axes_radial_view = subplot(3,6,[3 4]);
set(hand_axes_radial_view,'Nextplot','add');

[valg_ax_nodes(:,:,2),param_beta,param_f,param_g,param_h] =  ...
    find_theta( ...
        valg_npoints_cross, ...
        valg_npoints_stream, ...
        valg_ax_nodes(:,:,1), ...
        valg_ax_nodes(:,:,3), ...
        str2num(get(hand_calc_beta2,'String')), ...
        get(hand_calc_Cm1_ring,'Value'), ...
        param_angle_dist_ring, ...
        param_omega, ...
        param_dA_n ...
    );

x_rad_view = valg_ax_nodes(:,:,1).*sind(valg_ax_nodes(:,:,2));
y_rad_view = valg_ax_nodes(:,:,1).*cosd(valg_ax_nodes(:,:,2));

midp = round(valg_npoints_stream/2);

for j=1:valg_npoints_cross;
hand_plot_rad_cut_cross(j) = ...
	plot(x_rad_view(j,:), ...
	     y_rad_view(j,:),'Color',[0.9 0.9 0.9]);
end

hand_plot_rad_cut_ring = ...
    plot(x_rad_view(:,1),y_rad_view(:,1),'-o'); 
set(hand_plot_rad_cut_ring,'Color','r','MarkerSize',3);

hand_plot_rad_cut_mid = ...
    plot(x_rad_view(:,midp),y_rad_view(:,midp),'-o');
set(hand_plot_rad_cut_mid,'Color','g','MarkerSize',3);

hand_plot_rad_cut_boss = ...
    plot(x_rad_view(:,end),y_rad_view(:,end),'-o'); 
set(hand_plot_rad_cut_boss,'Color','b','MarkerSize',3); 


circle([0,0],valg_ax_nodes(1,1,1),50,':');
circle([0,0],valg_ax_nodes(end,1,1),50,':');
circle([0,0],valg_ax_nodes(end,end,1),50,':');

xlabel('X [m]'); ylabel('Y [m]'); 
r_max = max(max(valg_ax_nodes(:,:,1)));
Pos_margin = get(hand_axes_radial_view,'TightInset');

set(hand_axes_radial_view, ...
    'Units','normalized', ...
    'Position',[x1+0.01+Pos_margin(1) y1+0.01+Pos_margin(2) dx1-0.02-Pos_margin(1)-Pos_margin(3) dy1-0.02-Pos_margin(2)-Pos_margin(4)], ...
    'Box','on', ...
    'Clipping','on', ...
    'DataAspectRatio',[1 1 1], ...
    'XLim',[-r_max r_max], ...
    'YLim',[-r_max r_max]);
legend('Ring','Meridional','Boss','Location','NorthWest')
