%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%
%   Characteristic curves, traditional 4
%   H = ...
%	
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

b = uipanel('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
	'FontWeight','bold', ...
    'Title','Empirical calculation of characteristic curves', ...
	'Position',[x1 y1 dx1 dy1]);

i=2;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theoretical head at Q=0 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','H_th_inf at Q=0 :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theoretical head at Q=0 - Text box
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_theoretical_head_trad_4 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','', ...
    'String',num2str(1), ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theoretical head at Q=0 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.51*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theoretical head in bar at Q=0 - Text box
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_theoretical_head_bar_trad_4 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','', ...
    'String',num2str(1), ...
	'Position',[x1+0.62*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theoretical head in bar at Q=0 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[bar]', ...
	'Position',[x1+0.78*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theoretical head with leakage at Q=0 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','H_th_inf with leak at Q=0 :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theoretical head with leakage at Q=0 - Text box
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_theoretical_head_leakage_trad_4 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','', ...
    'String',num2str(1), ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theoretical head with leakage at Q=0 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.51*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theoretical head with leakage in bar at Q=0 - Text box
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_theoretical_head_leakage_bar_trad_4 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','', ...
    'String',num2str(1), ...
	'Position',[x1+0.62*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theoretical head with leakage in bar at Q=0 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[bar]', ...
	'Position',[x1+0.78*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Net head calculated - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Calculated Net head, H :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Net head calculated - Text box
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_net_head_trad_4 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','', ...
    'String',num2str(1), ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Net head calculated - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.51*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Net head calculated - Text box
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_net_head_bar_trad_4 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','', ...
    'String',num2str(1), ...
	'Position',[x1+0.62*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Net head calculated - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[bar]', ...
	'Position',[x1+0.78*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');

% i=i+1;
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Calculated slip angle, delta_slip - Id Text
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','Calculated slip angle :', ...
% 	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
% 	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Calculated slip angle, delta_slip - Text box
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% hand_calc_slip = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor','w', ...
%     'Callback','', ...
%     'String',num2str(1), ...
% 	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
% 	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Calculated slip angle, delta_slip - Unit Value
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','[]', ...
% 	'Position',[x1+0.51*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
% 	'Style','text');


% i=i+1;
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Slipp, Pfleiderer - Id Text
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','Pfleiderer slip, Cp:', ...
% 	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
% 	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Slipp, Pfleiderer - Edit text box
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% hand_calc_pfleiderer = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor','w', ...
%     'Callback','valg_pfleiderer_slip=0.01*round(100*str2num(get(gcbo,''String''))); calc_main_values; ', ...
%     'String',num2str(valg_pfleiderer_slip), ...
% 	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
% 	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Slipp, Pfleiderer - Unit Value
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b= uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','[-]', ...
% 	'Position',[x1+0.51*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
% 	'Style','text');

% i=i+1;
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Impeller Friction - Id Text 
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a6, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','Friction :', ...
% 	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
% 	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Impeller Friction - Slider 
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% hand_slider_charac_friction_trad_4 = uicontrol('Parent',fig_a6, ...
% 	'Units','normalized', ...
% 	'BackgroundColor','w', ...
%     'Callback','valg_charac_friction_trad_4=0.01*round(100*get(gcbo,''Value'')); set(hand_value_charac_friction_trad_4,''String'',num2str(valg_charac_friction_trad_4)); calc_main_values_characteristics;', ...
%     'Min',[0], ...
%     'Max',[100000], ...
%     'Value',valg_charac_friction_trad_4, ...
%     'SliderStep',[10/(100000-0) 20/(100000-0)], ...
% 	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
% 	'Style','slider');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Impeller Friction - Frame for choice
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% hand_value_charac_friction_trad_4 = uicontrol('Parent',fig_a6, ...
% 	'Units','normalized', ...
% 	'BackgroundColor','w', ...
%     'ForegroundColor',linecolor, ...
%     'Callback','valg_charac_friction_trad_4=0.1*round(10*str2num(get(gcbo,''String''))); set(gcbo,''String'',num2str(valg_charac_friction_trad_4)); set(hand_slider_charac_friction_trad_4,''Value'',valg_charac_friction_trad_4); calc_main_values_characteristics; ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','center', ...
%     'String',num2str(get(hand_slider_charac_friction_trad_4,'Value')), ...
% 	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
% 	'Style','edit');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Impeller Friction - Unit Value
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a6, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','[-]', ...
% 	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
% 	'Style','text');

% i=i+1;
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Shock loss - Id Text 
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a6, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','Shock loss :', ...
% 	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
% 	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Shock loss - Slider 
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% hand_slider_charac_shockloss_trad_1 = uicontrol('Parent',fig_a6, ...
% 	'Units','normalized', ...
% 	'BackgroundColor','w', ...
%     'Callback','valg_charac_shockloss_trad_1=0.01*round(100*get(gcbo,''Value'')); set(hand_value_charac_shockloss_trad_1,''String'',num2str(valg_charac_shockloss_trad_1)); calc_main_values_characteristics;', ...
%     'Min',[0], ...
%     'Max',[100000], ...
%     'Value',valg_charac_shockloss_trad_1, ...
%     'SliderStep',[10/(100000-0) 20/(100000-0)], ...
% 	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
% 	'Style','slider');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Shock loss - Frame for choice
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% hand_value_charac_shockloss_trad_1 = uicontrol('Parent',fig_a6, ...
% 	'Units','normalized', ...
% 	'BackgroundColor','w', ...
%     'ForegroundColor',linecolor, ...
%     'Callback','valg_charac_shockloss_trad_1=0.1*round(10*str2num(get(gcbo,''String''))); set(gcbo,''String'',num2str(valg_charac_shockloss_trad_1)); set(hand_slider_charac_shockloss_trad_1,''Value'',valg_charac_shockloss_trad_1); calc_main_values_characteristics; ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','center', ...
%     'String',num2str(get(hand_slider_charac_shockloss_trad_1,'Value')), ...
% 	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
% 	'Style','edit');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Shock loss - Unit Value
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a6, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','[-]', ...
% 	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
% 	'Style','text');
	
hand_axes_charac_trad_4 = axes;

Pos_margin = get(hand_axes_charac_trad_4,'TightInset');
set(hand_axes_charac_trad_4, ...
    'Units','Normalized', ...
    'Position',[x1+0.03+Pos_margin(1) y1+0.03+Pos_margin(2) dx1-0.05-Pos_margin(1)-Pos_margin(3) 0.7*dy1-0.05-Pos_margin(2)-Pos_margin(4)], ...
    'Clipping','on');