%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Plot - Diffuser axial view
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uipanel('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
	'FontWeight','bold', ...
    'Title','Axial view of the diffuser ', ...
	'Position',[x1 y1 dx1 dy1]);

hand_axes_diffdesign_axial_view = subplot(3,3,8:9);
set(hand_axes_diffdesign_axial_view,'NextPlot','add','Visible','on')

Pos_margin = get(hand_axes_diffdesign_axial_view,'TightInset');
set(hand_axes_diffdesign_axial_view,'Units','normalized', ...
    'DataAspectRatio',[1 1 1], ...
    'Position',[x1+Pos_margin(1) y1+Pos_margin(2)+0.02 0.97-x1-Pos_margin(1) dy1-Pos_margin(4)-0.05], ...
    'Clipping','on', ...
    'NextPlot','add', ...
    'Box','on');
xlabel('Radius, R [-]'); ylabel('Z-axis, Z [-]'); 

% hand_plot_pump_up = line([0 1],[0 0]);
% set(hand_plot_pump_up,'Color','r','LineStyle',':');
% hand_plot_pump_down = line([0 1],[0 0]); 
% set(hand_plot_pump_down,'Color','r','LineStyle',':');

n = valg_npoints_cross_diffuser;
m = valg_npoints_stream_diffuser;

D_2     = valg_design_D2;
R_2     = 0.5*D_2;
D_4     = valg_design_D4;
R_4     = 0.5*D_4;
D_4_red = D_4/R_2;
R_4_red = 0.5*D_4_red; 
D_3     = valg_design_D3;
R_3     = 0.5*D_3;
D_3_red = D_3/R_2;
R_3_red = 0.5*D_3_red;
b_4     = valg_design_b4;
b_3     = valg_design_b3;
b_2     = valg_design_b2;

% % Calculate the nodes of the ring
% [valg_ax_nodes_diffuser,old_r,old_z,new_r,new_z] = ...
%     ax_design_nodes_diffuser( ...
%         n, ...
%         m, ...
%         D_4,...
%         D_3, ...
%         b_4, ...
%         b_3, ...
%         b_2, ...
%         R_2 ...
%     );

% Calculate the streamlines
[valg_ax_nodes_diffuser(:,:,1),valg_ax_nodes_diffuser(:,:,3)] = ...
    ax_design_streamlines_diffuser( ...
        n, ...
        m, ...
        D_4, ...
        D_3, ...
        b_2, ...
        b_3, ...
        b_4 ...
    );
    
    
valg_ax_nodes_diffuser_red(:,:,1) = valg_ax_nodes_diffuser(:,:,1)/(0.5*valg_design_D2);
valg_ax_nodes_diffuser_red(:,:,3) = valg_ax_nodes_diffuser(:,:,3)/(0.5*valg_design_D2);


% Plot the streamlines
[hand_plot_ax_cross_line_diffuser,hand_plot_ax_stream_line_diffuser] =  ...
    plot_rz_plane_ax_design_diffuser( ...
        hand_axes_diffdesign_axial_view, ...
        n, ...
        m, ...
        valg_ax_nodes_diffuser_red(:,:,1), ...
        valg_ax_nodes_diffuser_red(:,:,3), ...
        D_4 ...
    );


% Update the rz-plane plot
[hand_plot_ax_cross_line_diffuser, ...
  hand_plot_ax_stream_line_diffuser] = ...
    update_rz_plot_diffuser( ...
        hand_plot_ax_cross_line_diffuser, ...
        hand_plot_ax_stream_line_diffuser, ...
        n, ...
        m ...
    );

% % param_bezier_ax_cut_x = linspace(R_4_red,R_3_red,4);
% % param_bezier_ax_cut_y = linspace(0,in_z_pos_red,4);
% % param_bezier_ax_cut_y(2) = 0;
% % param_bezier_ax_cut_y(3) = 0;
% % x = param_bezier_ax_cut_x;
% % y = param_bezier_ax_cut_y;
% 
% 
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Setting the arrows giving the actual dimension of
% % 	the impeller
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% 
arrow_start = [valg_ax_nodes_diffuser_red(1,1,1)*0.95 valg_ax_nodes_diffuser_red(n,m,3)];
arrow_end = [valg_ax_nodes_diffuser_red(n,m,1) valg_ax_nodes_diffuser_red(n,m,3)];
arrow_mid = 0.5*(arrow_end+arrow_start);
hand_plot_D4 = line([arrow_start(1) arrow_end(1)], [arrow_start(2) arrow_end(2)],'Color','k');
hand_fill_arrow_D4 = fill([arrow_end(1) arrow_end(1)-0.008 arrow_end(1)-0.008], ...
     				      [arrow_end(2) arrow_end(2)-0.003 arrow_end(2)+0.003], ...
                          'k');
text_x = arrow_mid(1);
text_y = arrow_mid(2);
hand_plot_D4_text = text(text_x,text_y,['D_4=',num2str(D_4),'m'], ...
	'Color','k','BackgroundColor','w','Margin',1, ...
	'VerticalAlignment','bottom','HorizontalAlignment','center');

arrow_start = [valg_ax_nodes_diffuser_red(1,1,1)*0.95 valg_ax_nodes_diffuser_red(1,1,3)];
arrow_end = [D_3_red valg_ax_nodes_diffuser_red(1,1,3)];
arrow_mid = 0.5*(arrow_end+arrow_start);
hand_plot_D3 = line([arrow_start(1) arrow_end(1)], [arrow_start(2) arrow_end(2)],'Color','k');
hand_fill_arrow_D3 = fill([arrow_end(1) arrow_end(1)-0.008 arrow_end(1)-0.008], ...
     						[arrow_end(2) arrow_end(2)-0.003 arrow_end(2)+0.003], ...
     						'k');
text_x = arrow_mid(1);
text_y = arrow_mid(2);
hand_plot_D3_text = text(text_x,text_y,['D_3=',num2str(D_3),'m'], ...
	'Color','k','BackgroundColor','w','Margin',1, ...
	'VerticalAlignment','top','HorizontalAlignment','center');

% arrow_start = [0 0.1+valg_ax_nodes_diffuser_red(n,m,3)];
% arrow_end = [valg_ax_nodes_diffuser_red(n,m,1) 0.1+valg_ax_nodes_diffuser_red(n,m,3)];
% arrow_mid = 0.5*(arrow_end+arrow_start);
% hand_plot_D1 = line([arrow_start(1) arrow_end(1)], [arrow_start(2) arrow_end(2)],'Color','k');
% hand_fill_arrow_D1 = fill([arrow_end(1) arrow_end(1)-0.008 arrow_end(1)-0.008], ...
%      			          [arrow_end(2) arrow_end(2)-0.003 arrow_end(2)+0.003], ...
%      					  'k');
% text_x = arrow_mid(1);
% text_y = arrow_mid(2);
% hand_plot_D1_text = text(text_x,text_y,['D_1=',num2str(valg_ax_nodes_diffuser(n,m,1)),'m'], ...
% 	'Color','k','BackgroundColor','w','Margin',1, ...
% 	'VerticalAlignment','top','HorizontalAlignment','center');

arrow_start = [valg_ax_nodes_diffuser_red(1,1,1)*0.95 valg_ax_nodes_diffuser_red(1,1,3)];
arrow_end = [valg_ax_nodes_diffuser_red(1,1,1)*0.95 valg_ax_nodes_diffuser_red(1,m,3)];
arrow_mid = 0.5*(arrow_end+arrow_start);
hand_plot_b3 = line([arrow_start(1) arrow_end(1)], [arrow_start(2) arrow_end(2)],'Color','k');
hand_fill_arrow_b3_1 = fill([arrow_start(1) arrow_start(1)-0.003 arrow_start(1)+0.003], ...
     			            [arrow_start(2) arrow_start(2)+0.008 arrow_start(2)+0.008], ...
     					    'k');
hand_fill_arrow_b3_2 = fill([arrow_end(1) arrow_end(1)-0.003 arrow_end(1)+0.003], ...
     			            [arrow_end(2) arrow_end(2)-0.008 arrow_end(2)-0.008], ...
     					    'k');
text_x = arrow_mid(1);
text_y = arrow_mid(2);
hand_plot_b3_text = text(text_x,text_y,['b_3=',num2str(valg_design_b3),'m'], ...
	'Color','k','BackgroundColor','w','Margin',1, ...
	'VerticalAlignment','middle','HorizontalAlignment','center');

arrow_start = [valg_ax_nodes_diffuser_red(n,m,1)*1.05 valg_ax_nodes_diffuser_red(n,1,3)];
arrow_end = [valg_ax_nodes_diffuser_red(n,m,1)*1.05 valg_ax_nodes_diffuser_red(n,m,3)];
arrow_mid = 0.5*(arrow_end+arrow_start);
hand_plot_b4 = line([arrow_start(1) arrow_end(1)], [arrow_start(2) arrow_end(2)],'Color','k');
hand_fill_arrow_b4_1 = fill([arrow_start(1) arrow_start(1)-0.003 arrow_start(1)+0.003], ...
     			            [arrow_start(2) arrow_start(2)+0.008 arrow_start(2)+0.008], ...
     					  'k');
hand_fill_arrow_b4_2 = fill([arrow_end(1) arrow_end(1)-0.003 arrow_end(1)+0.003], ...
     			            [arrow_end(2) arrow_end(2)-0.008 arrow_end(2)-0.008], ...
     					  'k');
text_x = arrow_mid(1);
text_y = arrow_mid(2);
hand_plot_b4_text = text(text_x,text_y,['b_4=',num2str(valg_design_b4),'m'], ...
	'Color','k','BackgroundColor','w','Margin',1, ...
	'VerticalAlignment','middle','HorizontalAlignment','center');

% 
% 
% hand_plot_ring2=plot(hand_axes_diffdesign_axial_view,x,y,'g-o');
% valg_design_bezier_x=x; 
% valg_design_bezier_y=y;
% set(hand_plot_ring2, ...
% 	'ButtonDownFcn','change_line(hand_plot_ring2,''axy'');', ...
% 	'Visible','off');
