%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% 
%	Frame for choices of diffuser
%   Inlet diameter
%   Inlet width
%   Vane thickness
%   Number of vanes
%   Inlet vane angle
% 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

b = uipanel('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
	'FontWeight','bold', ...
    'Title','Choose the design parameters', ...
	'Position',[x1 y1 dx1 dy1]);

i=2;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet diameter, D_3 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Inlet diameter, D_3 :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet diameter, D_3 - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_D3 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_D3=0.001*round(1000*get(gcbo,''Value'')); set(hand_value_D3,''String'',num2str(valg_design_D3)); calc_main_values_diffuser;', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_D3] = slider_setup(hand_slider_D3,0.01,2.5*valg_design_D2,valg_design_D3,[0.001 0.2]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet diameter, D_3 - Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_D3 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback','valg_design_D3=0.001*round(1000*str2num(get(gcbo,''String''))); set(gcbo,''String'',num2str(valg_design_D3)); set(hand_slider_D3,''Value'',valg_design_D3); calc_main_values_diffuser; ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_D3,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
    'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet diameter, D_3 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet Height, b_3 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Intlet Height, b_3 :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet Height, b_3 - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_b3 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_b3=0.001*round(1000*get(gcbo,''Value'')); set(hand_value_b3,''String'',num2str(valg_design_b3)); calc_main_values_diffuser;', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_b3] = slider_setup(hand_slider_b3,0.001,0.2,valg_design_b3,[0.001 0.02]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet Height, b_3 - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_b3 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_b3,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet Height, b_3 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet Width, a_3 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Intlet width, a_3 :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet Width, a_3 - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_a3 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_a3=0.001*round(1000*get(gcbo,''Value'')); set(hand_value_a3,''String'',num2str(valg_design_a3)); calc_main_values_diffuser;', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_a3] = slider_setup(hand_slider_a3,0.001,0.2,valg_design_a3,[0.001 0.02]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet Width, a_3 - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_a3 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_a3,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet Width, a_3 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet diameter, D_4 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Outlet diameter, D_4 :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet diameter, D_4 - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_D4 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_D4=0.001*round(1000*get(gcbo,''Value'')); set(hand_value_D4,''String'',num2str(valg_design_D4)); calc_main_values_diffuser;', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_D4] = slider_setup(hand_slider_D4,valg_design_D3,2.5*valg_design_D4,valg_design_D4,[0.001 0.2]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet diameter, D_4 - Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_D4 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback','valg_design_D4=0.001*round(1000*str2num(get(gcbo,''String''))); set(gcbo,''String'',num2str(valg_design_D4)); set(hand_slider_D4,''Value'',valg_design_D4); calc_main_values_diffuser; ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_D4,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
    'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet diameter, D_4 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Height, b_4 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Outlet Height, b_4 :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Height, b_4 - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_b4 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_b4=0.001*round(1000*get(gcbo,''Value'')); set(hand_value_b4,''String'',num2str(valg_design_b4)); calc_main_values_diffuser;', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_b4] = slider_setup(hand_slider_b4,0.001,0.2,valg_design_b4,[0.001 0.02]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Height, b_4 - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_b4 = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_b4,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Height, b_4 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet vane angle, alpha_3B - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Inlet vane angle, alpha_3B :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet vane angle, alpha_3B - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_alpha3B= uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_alpha3B=0.1*round(10*get(gcbo,''Value'')); set(hand_value_alpha3B,''String'',num2str(valg_design_alpha3B)); calc_main_values_diffuser;', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_alpha3B]	 = slider_setup(hand_slider_alpha3B,5,30,valg_design_alpha3B,[0.1 1]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet vane angle, alpha_3B - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_alpha3B = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_alpha3B,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inlet vane angle, alpha_3B - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Number of vanes, Z_Le - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Number of vanes, Z_Le :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Number of vanes, Z_Le - Edit text box
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_ZLe = str2num(get(gcbo,''String'')); calc_main_values_diffuser;', ...
    'String',num2str(valg_design_ZLe), ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Number of vanes, Z_Le - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b= uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[-]', ...
	'Position',[x1+0.51*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Vane thickness at inlet, e_3 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Vane thickness - inlet, e_3 :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Vane thickness at inlet, e_3 - Edit text box
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_e3 = str2num(get(gcbo,''String'')); calc_main_values_diffuser;', ...
    'String',num2str(valg_design_e3), ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Vane thickness at inlet, e_3 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b= uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.51*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');