%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% 
% 	Inlet velocities - Frame
% 
% 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uipanel('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
	'FontWeight','bold', ...
    'Title','Inlet velocities', ...
    'Position',[x1 y1 dx1 dy1]);

i=2;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Before inlet (without blockage) - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String','Before inlet :', ...
	'Position',[x1+0.25*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	After inlet (with blockage) - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String','After inlet (with blockage) :', ...
	'Position',[x1+0.4*dx1 y1+dy1-i*dy 0.3*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_U3 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','C_U3 :', ...
	'Position',[x1+0.02*dx1 y1+dy1-i*dy 0.3*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_U3 before inlet - Verdi 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_CU3=uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.25*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_U3 after inlet - Verdi 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_CU3block=uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.4*dx1 y1+dy1-i*dy 0.3*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_U3 - Unit Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b=uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String','[m/s]', ...
	'Position',[x1+0.67*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
    'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_U3, no slip - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','C_U3, no slip :', ...
	'Position',[x1+0.02*dx1 y1+dy1-i*dy 0.3*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_U3, no slip, before inlet - Verdi 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_CU3noslip=uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.25*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_U3, no slip, after inlet - Verdi 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_CU3noslipblock=uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.4*dx1 y1+dy1-i*dy 0.3*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_U3, no slip - Unit Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b=uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String','[m/s]', ...
	'Position',[x1+0.67*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
    'Style','text');


i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_m3 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','C_m3 :', ...
	'Position',[x1+0.02*dx1 y1+dy1-i*dy 0.3*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_m3 before inlet - Verdi 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_Cm3=uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.25*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_m3 after inlet - Verdi 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_Cm3block=uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.4*dx1 y1+dy1-i*dy 0.3*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_m3 - Unit Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b=uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String','[m/s]', ...
	'Position',[x1+0.67*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
    'Style','text');
i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_q3 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','C_q3 :', ...
	'Position',[x1+0.02*dx1 y1+dy1-i*dy 0.3*dx1 dh], ...
	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	C_q3 before inlet - Verdi 
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% hand_calc_Cm3=uicontrol('Parent',fig_a6, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','center', ...
%     'String',num2str(1), ...
% 	'Position',[x1+0.25*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
% 	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_q3 after inlet - Verdi 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_CQ3=uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.4*dx1 y1+dy1-i*dy 0.3*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_q3 - Unit Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b=uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String','[m/s]', ...
	'Position',[x1+0.67*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
    'Style','text');




i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Flow angle - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Flow angle, alpha_3 :', ...
	'Position',[x1+0.02*dx1 y1+dy1-i*dy 0.3*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Flow angle before inlet, alpha_3 - Verdi 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_alpha3=uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.25*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Flow angle after inlet, alpha_3block - Verdi 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_alpha3block=uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.4*dx1 y1+dy1-i*dy 0.3*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Flow angle - Unit Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b=uicontrol('Parent',fig_a6, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String','[]', ...
	'Position',[x1+0.67*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
    'Style','text');


%cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%
%   Inlet plot
%
%
%cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
x1=0.36; y1=0.6; dx1=0.27; dy1 = 0.20;
hand_axes_inlet_velocity_diffuser = subplot(3,3,5);

set(hand_axes_inlet_velocity_diffuser, ...
    'Units','normalized', ...
    'Position',[x1 y1 dx1 dy1], ...
    'Clipping','off', ...
    'DataAspectRatio',[1 1 1], ...
    'Box','on');
title('Velocity vectors - Inlet')
xlabel('Peripheral velocity [m/s]'); ylabel('Meridional velocity [m/s]');

% Make the inlet velocity plot
[hand_plot_C3,hand_text_C3, ...
 hand_plot_CU3,hand_text_CU3, ...
 hand_plot_Cm3,hand_text_Cm3, ...
 hand_plot_C3block,hand_text_C3block, ...
 hand_plot_CU3block,hand_text_CU3block, ...
 hand_plot_Cm3block,hand_text_Cm3block] = ...
    inlet_velocity_plot_diffuser();
% Set the position and parameters of the inlet velocity plot