%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% 
%	Frame for choices 
%   Rotational speed
%   Flow
%   Net Head 
%   Specific Speed
% 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

b = uipanel('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
	'FontWeight','bold', ...
    'Title','Choose the design parameters', ...
	'Position',[x1 y1 dx1 dy1]);

i=2;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Rotational Speed, rot - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Rotational Speed, n :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Rotational Speed, rot - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_rotspeed = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_rotspeed=0.1*round(10*get(gcbo,''Value'')); set(hand_value_rotspeed,''String'',num2str(valg_design_rotspeed)); calc_main_values;', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_rotspeed] = slider_setup(hand_slider_rotspeed,10,6000,valg_design_rotspeed,[0.1 2]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Rotational Speed, rot - Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_rotspeed = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback','valg_design_rotspeed=0.1*round(10*str2num(get(gcbo,''String''))); set(gcbo,''String'',num2str(valg_design_rotspeed)); set(hand_slider_rotspeed,''Value'',valg_design_rotspeed); calc_main_values; ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_rotspeed,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
    'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Rotational Speed, rot - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[rpm]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Volumetric flow, Q - Id Text 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Flow, Q :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Volumetric flow, Q - Slider 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_flow = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_flow=0.0001*round(10000*get(gcbo,''Value'')); set(hand_value_flow,''String'',num2str(0.1*round(10*3600*valg_design_flow))); calc_main_values', ...
    'Min',[0.001], ...
    'Max',[10], ...
    'Value',valg_design_flow, ...
    'SliderStep',[(1/3600)/(10-0.001) (5/3600)/(10-0.001)], ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_flow] = slider_setup(hand_slider_flow,(10/3600),(500/3600),valg_design_flow,[(1/3600) (5/3600)]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Volumetric flow, Q - Frame for choice
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_flow = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback','valg_design_flow=1/3600*0.1*round(10*str2num(get(gcbo,''String''))); set(gcbo,''String'',num2str(3600*valg_design_flow)); set(hand_slider_flow,''Value'',valg_design_flow); calc_main_values;  ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(3600*get(hand_slider_flow,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Volumetric flow, Q - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m^3/h]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');


i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Net head - Id Text 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Net head :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
    'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Net head - Slider 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_nethead = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_nethead=0.1*round(10*get(gcbo,''Value'')); set(hand_value_nethead,''String'',num2str(valg_design_nethead)); calc_main_values;', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_nethead] = slider_setup(hand_slider_nethead,1,500,valg_design_nethead,[0.1 0.40]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Net head - Frame for choice 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_nethead = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback','valg_design_nethead=0.1*round(10*str2num(get(gcbo,''String''))); set(gcbo,''String'',num2str(valg_design_nethead)); set(hand_slider_nethead,''Value'',valg_design_nethead); calc_main_values; ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_nethead,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Net head - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Specific Speed - Id Text 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Specific Speed n_q [m^0.75/s^1.5]:', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.54*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Specific Speed - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_sp_speed = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_calc_sp_speed,'Value')), ...
	'Position',[x1+0.55*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');


% i=i+1;
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Specific Speed - Id Text 
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','Specific Speed n_s* [-]:', ...
% 	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.54*dx1 dh], ...
% 	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Specific Speed - Value 
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% hand_calc_sp_speed_dimless = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor','w', ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','center', ...
%     'String',num2str(get(hand_calc_sp_speed_dimless,'Value')), ...
% 	'Position',[x1+0.55*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
% 	'Style','text');
%---------------END OF "Choose design parameters" frame--------------------
