%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% 
% 	Inlet velocity triangle - Frame
% 
% 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uipanel('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
	'FontWeight','bold', ...
    'Title','Inlet velocities - reduced', ...
    'Position',[x1 y1 dx1 dy1]);

i=2;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Ring - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String','Ring :', ...
	'Position',[x1+0.17*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Meridional - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String','Meridional :', ...
	'Position',[x1+0.37*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Boss - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String','Boss :', ...
	'Position',[x1+0.57*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');


i=i+1;

%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	U_1 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','U_1 :', ...
	'Position',[x1+0.02*dx1 y1+dy1-i*dy 0.3*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	U_1 at ring - Verdi 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_U1_ring=uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.17*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	U_1 at meridional - Verdi 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_U1_merid=uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.37*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	U_1 at boss - Verdi 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_U1_boss=uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.57*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');


i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_m1 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','C_m1:', ...
	'Position',[x1+0.02*dx1 y1+dy1-i*dy 0.3*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_m1 at ring - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_Cm1_ring=uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.17*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
    'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_m1 at meridional - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_Cm1_merid=uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.37*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
    'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	C_m1 at boss - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_Cm1_boss=uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.57*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
    'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Beta_1 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Beta_1 :', ...
	'Position',[x1+0.02*dx1 y1+dy1-i*dy 0.3*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Beta_1 - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_beta1_ring = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.17*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Beta_1 - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_beta1_merid = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.37*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Beta_1 - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_calc_beta1_boss = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(1), ...
	'Position',[x1+0.57*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','text');



%cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%
%   Inlet plot
%
%
%cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
x1=0.36; y1=0.64; dx1=0.27; dy1 = 0.20;
hand_axes_inlet_velocity = subplot(3,3,5);

set(hand_axes_inlet_velocity, ...
    'Units','normalized', ...
    'Position',[x1 y1 dx1 dy1], ...
    'Clipping','off', ...
    'DataAspectRatio',[1 1 1], ...
    'Box','on');
title('Velocity triangle - Inlet at boss')
xlabel('Tangental velocity '); ylabel('Axial velocity ');

% Make the inlet velocity plot
[hand_plot_U1_ring,hand_text_U1_ring, ...
 hand_plot_C1_ring,hand_text_C1_ring, ...
 hand_plot_W1_ring,hand_text_W1_ring, ...
 hand_plot_U1_merid, ...
 hand_plot_W1_merid,hand_text_W1_merid, ...
 hand_plot_U1_boss, ...
 hand_plot_W1_boss,hand_text_W1_boss] = ...
    inlet_velocity_plot();
% Set the position and parameters of the inlet velocity plot
