%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%
%   Main Parameters
%   Main flow, net head, Best efficiency
%   Gravity const., density etc.
%
%
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Frame for choices - Main Parameters
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uipanel('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
	'FontWeight','bold', ...
    'Title','Main Parameters', ...
	'Position',[x1 y1 dx1 dy1]);

i=2;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Hub diameter D_n - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Hub diameter, D_n :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Hub diameter D_n - Slider 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_Dn = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_Dn=0.001*round(1000*get(gcbo,''Value'')); set(hand_value_Dn,''String'',num2str(valg_design_Dn)); calc_main_values; ', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_Dn] = slider_setup(hand_slider_Dn,0,valg_design_D1i,valg_design_Dn,[0.005 0.2]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Hub diameter D_n - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_Dn = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_Dn,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Hub diameter D_n - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inner streamline Diameter, D_1i - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Inner streamline Diameter, D_1i :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inner streamline Diameter, D_1i - Slider 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_D1i = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_D1i=0.001*round(1000*get(gcbo,''Value''));set(hand_value_D1i,''String'',num2str(valg_design_D1i)); calc_main_values', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_D1i] = slider_setup(hand_slider_D1i,0.01,0.2,valg_design_D1i,[0.001 0.02]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inner streamline Diameter, D_1i - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_D1i = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_D1i,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Inner streamline Diameter, D_1i - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Impeller eye diameter D_1 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Impeller eye diameter, D_1 :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Impeller eye diameter D_1 - Slider 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_D1 = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_D1=0.001*round(1000*get(gcbo,''Value'')); set(hand_value_D1,''String'',num2str(valg_design_D1)); calc_main_values; ', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_D1] = slider_setup(hand_slider_D1,valg_design_D1i,valg_design_D2,valg_design_D1,[0.005 0.2]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Impeller eye diameter D_1 - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_D1 = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_D1,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Impeller eye diameter D_1 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');

% i=i+1;
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Inlet angle, alpha_1 - Id Text
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','Inlet angle, alpha_1 :', ...
% 	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
% 	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Inlet angle, alpha_1 - Slider 
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% hand_slider_alpha1 = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor','w', ...
%     'Callback','valg_design_alpha1=0.1*round(10*get(gcbo,''Value'')); set(hand_value_alpha1,''String'',num2str(valg_design_alpha1)); calc_main_values', ...
% 	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
% 	'Style','slider');
% [hand_slider_alpha1] = slider_setup(hand_slider_alpha1,80,100,valg_design_alpha1,[0.1 1]);
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Inlet angle, alpha_1 - Value 
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% hand_value_alpha1 = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor','w', ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','center', ...
%     'String',num2str(get(hand_slider_alpha1,'Value')), ...
% 	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
% 	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Inlet angle, alpha_1 - Unit Value
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','[]', ...
% 	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
% 	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Diameter, D_2 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Outlet Diameter, D_2 :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Diameter, D_2 - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_D2 = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_D2=0.001*round(1000*get(gcbo,''Value'')); set(hand_value_D2,''String'',num2str(valg_design_D2)); calc_main_values; ', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_D2] = slider_setup(hand_slider_D2,2*valg_design_D1i,3,valg_design_D2,[0.001 0.2]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Diameter, D_2 - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_D2 = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_D2,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Diameter, D_2 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Angle, beta_2B - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Outlet angle, beta_2B :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Angle, beta_2B - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_beta2 = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_beta2=0.1*round(10*get(gcbo,''Value'')); set(hand_value_beta2,''String'',num2str(valg_design_beta2)); calc_main_values;', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_beta2]	 = slider_setup(hand_slider_beta2,15,35,valg_design_beta2,[0.1 1]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Angle, beta_2B - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_beta2 = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_beta2,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Angle, beta_2B - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');


% i=i+1;
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Outlet slip angle, beta_2slip - Id Ratio
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','Slip angle, beta_2slip :', ...
% 	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
% 	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Outlet slip angle, beta_2slip - Slider 
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% hand_slider_slip = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor','w', ...
%     'Callback','valg_design_slip=0.1*round(10*get(gcbo,''Value'')); set(hand_value_slip,''String'',num2str(valg_design_slip)); calc_main_values', ...
% 	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
% 	'Style','slider');
% [hand_slider_slip] = slider_setup(hand_slider_slip,0,10,valg_design_slip,[0.1 1]);
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Outlet slip angle, beta_2slip - Value 
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% hand_value_slip = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor','w', ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','center', ...
%     'String',num2str(get(hand_slider_slip,'Value')), ...
% 	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
% 	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Outlet slip angle, beta_2slip - Unit Value
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','[]', ...
% 	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
% 	'Style','text');


i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Height, b_2 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Outlet Height, b_2 :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Height, b_2 - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_b2 = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_b2=0.001*round(1000*get(gcbo,''Value'')); set(hand_value_b2,''String'',num2str(valg_design_b2)); calc_main_values;', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_b2] = slider_setup(hand_slider_b2,0.001,0.2,valg_design_b2,[0.001 0.02]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Height, b_2 - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_b2 = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_b2,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Outlet Height, b_2 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');



i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Impeller dz - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','z outlet-inlet diff, in_z_pos :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Impeller dz - Slider 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_in_z_pos = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_in_z_pos=0.001*round(1000*get(gcbo,''Value'')); set(hand_value_in_z_pos,''String'',num2str(valg_design_in_z_pos)); calc_main_values', ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
[hand_slider_in_z_pos] = slider_setup(hand_slider_in_z_pos,0,1,valg_design_in_z_pos,[0.001 0.1]);
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Impeller dz - Value 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_in_z_pos = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_in_z_pos,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Impeller dz - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');



i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Gravity - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Gravity acceleration, g_P :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Gravity - Edit text box
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_gP = str2num(get(gcbo,''String''));calc_main_values;', ...
    'String',num2str(valg_design_gP), ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Gravity - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b= uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m/s^2]', ...
	'Position',[x1+0.51*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');


i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Fluid Density, rho_P - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Fluid density, rho_P :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Fluid Density, rho_P - Edit text box
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_rhoP = str2num(get(gcbo,''String'')); calc_main_values;', ...
    'String',num2str(valg_design_rhoP), ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Fluid Density, rho_P - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b= uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[kg/m^3]', ...
	'Position',[x1+0.51*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Number of vanes, Z_La - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Number of vanes, Z_La :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Number of vanes, Z_La - Edit text box
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_Z = str2num(get(gcbo,''String'')); calc_main_values;', ...
    'String',num2str(valg_design_Z), ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Number of vanes, Z_La - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b= uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[-]', ...
	'Position',[x1+0.51*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Vane thickness at inlet, t_1 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Vane thickness - inlet, e_1 :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Vane thickness at inlet, t_1 - Edit text box
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_tin = str2num(get(gcbo,''String''));', ...
    'String',num2str(valg_design_tin), ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Vane thickness at inlet, t_1 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b= uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.51*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Vane thickness at outlet, t_2 - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Vane thickness - outlet, e_2 :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Vane thickness at outlet, t_2 - Edit text box
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_design_tout = str2num(get(gcbo,''String''));', ...
    'String',num2str(valg_design_tout), ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
	'Style','edit');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Vane thickness at outlet, t_2 - Unit Value
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b= uicontrol('Parent',fig_a1, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[m]', ...
	'Position',[x1+0.51*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');

% i=i+1;
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Design best efficiency, eta_M - Id Text
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','Design best efficiency :', ...
% 	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
% 	'Style','text');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Design best efficiency, eta_M - Edit text box
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor','w', ...
%     'Callback','valg_design_etaM = str2num(get(gcbo,''String''));', ...
%     'String',num2str(valg_design_etaM), ...
% 	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.15*dx1 dh], ...
% 	'Style','edit');
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Design best efficiency, eta_M - Unit Value
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b= uicontrol('Parent',fig_a1, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'ForegroundColor',linecolor, ...
%     'Callback',' ', ...
% 	'FontWeight','normal', ...
%     'Horizontalalignment','left', ...
%     'String','[%]', ...
% 	'Position',[x1+0.51*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
% 	'Style','text');
