%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%
%   Vane thickness at inlet, determined by an ellipse
%
%	Frame for choice
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc

frame_already_made = findobj('Title','Vane inlet, ellipse suction side control');
if isempty(figure_already_made) == 1
b = uipanel('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
	'FontWeight','bold', ...
    'Title','Vane inlet, ellipse suction side control', ...
	'Position',[x1 y1 dx1 dy1]);
end

i=2;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Ellispe shape a/b - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Ellispe Shape a/b :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Ellispe shape a/b - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_inlet_suction_ellipse = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_inlet_suction_ellipse=0.1*round(10*get(gcbo,''Value'')); set(hand_value_inlet_suction_ellipse,''String'',num2str(valg_inlet_suction_ellipse)); thickness_inlet_control_update;', ...
    'Min',[0], ...
    'Max',[10], ...
    'Value',valg_inlet_suction_ellipse, ...
    'SliderStep',[0.1/(10-0) 0.2/(10-0)], ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Ellispe shape a/b - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_inlet_suction_ellipse = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_inlet_suction_ellipse,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Ellispe shape a/b - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[-]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theta start - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Theta - start :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theta start - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_inlet_suction_th_start = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_inlet_suction_th_start=0.1*round(10*get(gcbo,''Value'')); set(hand_value_inlet_suction_th_start,''String'',num2str(valg_inlet_suction_th_start)); thickness_inlet_control_update;', ...
    'Min',[85], ...
    'Max',[95], ...
    'Value',valg_inlet_suction_th_start, ...
    'SliderStep',[0.1/(95-85) 1/(95-85)], ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theta start - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_inlet_suction_th_start = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_inlet_suction_th_start,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theta start - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[-]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');


i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theta end - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','Theta - end :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theta end - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_inlet_suction_th_end = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_inlet_suction_th_end=0.1*round(10*get(gcbo,''Value'')); set(hand_value_inlet_suction_th_end,''String'',num2str(valg_inlet_suction_th_end)); thickness_inlet_control_update;', ...
    'Min',[175], ...
    'Max',[185], ...
    'Value',valg_inlet_suction_th_end, ...
    'SliderStep',[0.1/(185-175) 1/(185-175)], ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theta end - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_inlet_suction_th_end = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_inlet_suction_th_end,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theta end - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[-]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');

i=i+1;
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Points used in ellipse - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','# points in ellipse :', ...
	'Position',[x1+0.01*dx1 y1+dy1-i*dy 0.34*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Points used in ellipse - Slider
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_slider_inlet_suction_nellipse = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'Callback','valg_inlet_suction_nellipse=round(get(gcbo,''Value'')); set(hand_value_inlet_suction_nellipse,''String'',num2str(valg_inlet_suction_nellipse)); thickness_inlet_control_update;', ...
    'Min',[10], ...
    'Max',[181], ...
    'Value',valg_inlet_suction_nellipse, ...
    'SliderStep',[0.1/(181-10) 1/(181-10)], ...
	'Position',[x1+0.35*dx1 y1+dy1-i*dy 0.40*dx1 dh], ...
	'Style','slider');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Points used in ellipse - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
hand_value_inlet_suction_nellipse = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor','w', ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','center', ...
    'String',num2str(get(hand_slider_inlet_suction_nellipse,'Value')), ...
	'Position',[x1+0.77*dx1 y1+dy1-i*dy 0.1*dx1 dh], ...
	'Style','text');
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Theta end - Id Text
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a5, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'ForegroundColor',linecolor, ...
    'Callback',' ', ...
	'FontWeight','normal', ...
    'Horizontalalignment','left', ...
    'String','[-]', ...
	'Position',[x1+0.88*dx1 y1+dy1-i*dy 0.09*dx1 dh], ...
	'Style','text');


