%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%
%   Main choices
%
%
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
declare_global_variables;

%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Main menu figure
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
fig_a = figure('Units','normalized', ...
	'MenuBar','none', ...
    'Color',backcolor, ...
	'Name','Main menu', ...
	'NumberTitle','off', ...
	'PaperType','a4letter', ...
	'Position',[0.01 0.94 0.98 0.03], ...
    'Tag','Fig_main_options');


%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Main dimensions 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','main_dimensions;', ... 
	'FontWeight','bold', ...
	'Position',[.01 0.1 0.08 0.7], ...
	'String',' Main dimensions', ...
	'Style','pushbutton', ...
    'Tag','push_main_design');

%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Characteristic curves
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','characteristic_curves;', ...
	'FontWeight','bold', ...
	'Position',[.09 0.1 0.08 0.7], ...
	'String','Characteristic curves', ...
	'Style','pushbutton', ...
    'Tag','push_char_curves');


%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Axial Design
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','axial_design;', ...
	'FontWeight','bold', ...
	'Position',[.17 0.1 0.08 0.7], ...
	'String','Axial design', ...
	'Style','pushbutton', ...
    'Tag','push_ax_design');

% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	Velocity load controls
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'Callback','velocity_load_control;;', ...
% 	'FontWeight','bold', ...
% 	'Position',[.17 0.1 0.08 0.7], ...
% 	'String','Velocity load', ...
% 	'Style','pushbutton', ...
%     'Tag','push_velocity_load');
% 
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% %	3D Control
% %ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
% b = uicontrol('Parent',fig_a, ...
% 	'Units','normalized', ...
% 	'BackgroundColor',buttcolor, ...
%     'Callback','three_d_control;', ...
% 	'FontWeight','bold', ...
% 	'Position',[.25 0.1 0.08 0.7], ...
% 	'String','3D Control', ...
% 	'Style','pushbutton');

%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	3D View 
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','three_d_view;', ...
	'FontWeight','bold', ...
	'Position',[.25 0.1 0.08 0.7], ...
	'String','3D View', ...
	'Style','pushbutton');

%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Thickness
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','vane_thickness;', ...
	'FontWeight','bold', ...
	'Position',[.33 0.1 0.08 0.7], ...
	'String','Vane Thickness', ...
	'Style','pushbutton');

%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
%	Diffuser design
%ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
b = uicontrol('Parent',fig_a, ...
	'Units','normalized', ...
	'BackgroundColor',buttcolor, ...
    'Callback','diffuser_design;', ...
	'FontWeight','bold', ...
	'Position',[.41 0.1 0.08 0.7], ...
	'String','Diffuser design', ...
	'Style','pushbutton');

main_dimensions;